Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

[1.0.0] "Invalid server key" fix


  • Please log in to reply
218 replies to this topic

#41

OverKill99
  • Location: Lost Somewhere in a Stronghold
  • Minecraft: OverKill99

Posted 20 November 2011 - 05:02 PM

I downloaded the given class file an when opened up to an SMP server, this is what I'm given:

java.lang.SecurityException: SHA-256 digest error for abp.class

Any idea what I must've done wrong? Please keep in mind I'm a bit tired at the moment, so mistakes on my part may be the case.

Register or log in to remove.

#42

Beastlyblu
  • Location: USA
  • Minecraft: Beastlyblu

Posted 20 November 2011 - 05:21 PM

Brilliant! :D :D :D :D :D  :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond:
Please help me out by visiting my Youtube page and liking/subbing! :D
YOUTUBE CHANNEL

#43

jimsworld

Posted 20 November 2011 - 05:37 PM

Worked Great Thanks a bunch

#44

Andor
    Andor

    Iron Miner

  • Members
  • 327 posts
  • Location: Transilvania
  • Minecraft: and0r1995

Posted 20 November 2011 - 05:39 PM

I downloaded a replace it, but it still says can't reach server
I have 1.0.0 and I'm trying to host a land server. Same version. 1.0.0
Check out my website - Gamemods.info

#45

adidushi
    adidushi

    Redstone Miner

  • Members
  • 586 posts
  • Location: IN YOUR MOM! XD
  • Minecraft: Adidushi

Posted 20 November 2011 - 05:41 PM

View PostMrMcCheeseburger, on 20 November 2011 - 08:08 AM, said:

It fixed it.... now it says outdated server :/
Wow...
SO true...
WHY DOESN'T ANYONE UPDATE FOR GODS SAKE???
Posted Image

#46

Jeex Bit
    Jeex Bit

    Tree Puncher

  • Members
  • 12 posts

Posted 20 November 2011 - 05:47 PM

You rock sk89q, thanks for the fix!

Posted Image


#47

3hitsk0
    3hitsk0

    Tree Puncher

  • Members
  • 27 posts
  • Minecraft: 3hitsk0

Posted 20 November 2011 - 05:50 PM

View PostAdmiralMe, on 20 November 2011 - 04:14 PM, said:

Now Invalid Server Key appears more often!

same for me, could it be other mods I installed like the minimap mod and the toomanyitems mod are causing this? when I have no mods I don't get the error verry often...

#48

sk89q
    sk89q

    Gold Miner

  • Curse Premium
  • Curse Premium
  • 474 posts

Posted 20 November 2011 - 06:19 PM

View PostOverKill99, on 20 November 2011 - 05:02 PM, said:

I downloaded the given class file an when opened up to an SMP server, this is what I'm given:

java.lang.SecurityException: SHA-256 digest error for abp.class

Any idea what I must've done wrong? Please keep in mind I'm a bit tired at the moment, so mistakes on my part may be the case.

Delete the signature files in META-INF/ (the two files besides MANIFEST.MF). They tell Java to verify that the game files aren't modified, which is exactly what we're doing!
I'm the author of WorldEdit, WorldGuard, WarmRoast, a custom MC launcher platform, and a few other things.
I've also been running a server since MC alpha:
Posted Image

#49

sk89q
    sk89q

    Gold Miner

  • Curse Premium
  • Curse Premium
  • 474 posts

Posted 20 November 2011 - 06:40 PM

Here's an installer .exe for Windows to do it automatically for you:
http://www.sk89q.com...y-fix-mc1.0.exe
I'm the author of WorldEdit, WorldGuard, WarmRoast, a custom MC launcher platform, and a few other things.
I've also been running a server since MC alpha:
Posted Image

#50

Hallelujah

Posted 20 November 2011 - 06:51 PM

View PostMeet_The_Spart3n, on 20 November 2011 - 12:49 PM, said:

what d u do to get it working-step by step intructions plz

There's step by step instructions in the original post......

#51

JusTusFIN

Posted 20 November 2011 - 07:04 PM

+1 for you fine sir, you are awesome.
Posted Image

#52

godgodgodgo
  • Location: United Kingdom
  • Minecraft: godgodgodgo

Posted 20 November 2011 - 07:08 PM

Why is it important to keep the MANIFEST.MF file?

#53

sk89q
    sk89q

    Gold Miner

  • Curse Premium
  • Curse Premium
  • 474 posts

Posted 20 November 2011 - 07:23 PM

A .jar is supposed to have one, but it doesn't seem to matter if you keep it or not (in Minecraft's case).
I'm the author of WorldEdit, WorldGuard, WarmRoast, a custom MC launcher platform, and a few other things.
I've also been running a server since MC alpha:
Posted Image

#54

MinerMarcus2k9
  • Location: England
  • Minecraft: MinerMarcus2k9

Posted 20 November 2011 - 07:26 PM

sk89q

You Sir, Deserve a medal for every mod/plugin you made, and now this. This is awesome, now i dont have to wait about 10 minutes to join my server <3 (homo please?) ;D

#55

Moondio
    Moondio

    Out of the Water

  • Members
  • 6 posts

Posted 20 November 2011 - 07:31 PM

View PostJex, on 20 November 2011 - 04:44 PM, said:

That means whatever server you are trying to join isn't 1.0.0.


Okay, I've seen this said about a million times already.
I've updated to 1.0.0. How the HECK do you update, or where do you get the update for the server?
Simple as that. If there is not an update for the server, where can I find a re-download of 1.8.1 of Minecraft? I did not save prior to the update, as I didnt know all this BS would happen.

Thanks guys

#56

sk89q
    sk89q

    Gold Miner

  • Curse Premium
  • Curse Premium
  • 474 posts

Posted 20 November 2011 - 07:38 PM

View PostMoondio, on 20 November 2011 - 07:31 PM, said:

Okay, I've seen this said about a million times already.
I've updated to 1.0.0. How the HECK do you update, or where do you get the update for the server?
Simple as that. If there is not an update for the server, where can I find a re-download of 1.8.1 of Minecraft? I did not save prior to the update, as I didnt know all this BS would happen.

Thanks guys
https://s3.amazonaws...raft_server.jar
I'm the author of WorldEdit, WorldGuard, WarmRoast, a custom MC launcher platform, and a few other things.
I've also been running a server since MC alpha:
Posted Image

#57

guthixpoke911022011
  • Location: Horsham
  • Minecraft: OpticWar
  • Xbox:iiBobbyyy x

Posted 20 November 2011 - 07:41 PM

View PostAndor, on 20 November 2011 - 05:39 PM, said:

I downloaded a replace it, but it still says can't reach server
I have 1.0.0 and I'm trying to host a land server. Same version. 1.0.0
that means the server isnt on noob. this fixes an error you get sometimes when you join a server. it comes up as "invalid server key" ur problem isnt this
Posted Image

#58

wiiNinja

Posted 20 November 2011 - 07:44 PM

Works great. Thanks.

#59

OverKill99
  • Location: Lost Somewhere in a Stronghold
  • Minecraft: OverKill99

Posted 20 November 2011 - 07:45 PM

View Postsk89q, on 20 November 2011 - 06:19 PM, said:

Delete the signature files in META-INF/ (the two files besides MANIFEST.MF). They tell Java to verify that the game files aren't modified, which is exactly what we're doing!

Oh sorry :L

Thanks for the help! I've been up all night... Not quite on my feet.
Thank-you!
-Ben

#60

chiisana
    chiisana

    Out of the Water

  • Members
  • 9 posts

Posted 20 November 2011 - 07:46 PM

Hm...?
I did this last night on reddit: http://www.reddit.co...rver_key_error/

Looking at the time stamp, just before yours. Did I happen to inspire you, or did we stumbled upon the same train of thought? :)